Last Comment Bug 658948 - Assertion failure: chars[length] == 0
: Assertion failure: chars[length] == 0
Status: RESOLVED FIXED
[crash-automation]
: crash
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: 5 Branch
: x86 Mac OS X
: -- critical (vote)
: ---
Assigned To: general
:
:
Mentors:
Depends on:
Blocks: 532972
  Show dependency treegraph
 
Reported: 2011-05-23 00:42 PDT by Carsten Book [:Tomcat]
Modified: 2012-03-03 22:04 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Carsten Book [:Tomcat] 2011-05-23 00:42:17 PDT
TopSite Automation for Firefox 5 on 10.5 on topsite tests run into this on 
http://www.booksite.ru


###!!! ASSERTION: length mismatch: 'calculator.Length() == converter.Length()', file /work/mozilla/builds/firefox5/mozilla-beta/xpcom/string/src/nsReadableUtils.cpp, line 402
Assertion failure: chars[length] == 0, at /work/mozilla/builds/firefox5/mozilla-beta/js/src/jsstrinlines.h:405

http://www.booksite.ru: EXIT STATUS: CRASHED signal 10 SIGBUS (291.452697 seconds)


Date/Time:       2011-05-22 19:28:23.722 -0700
OS Version:      Mac OS X 10.5.8 (9L31a)
Report Version:  6
Anonymous UUID:  B2E3E6EE-C548-4067-897B-2D76DED446CB

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000000
Crashed Thread:  0

Thread 0 Crashed:
0   XUL                           	0x06ade0ef JS_Assert + 85
1   XUL                           	0x0694fa9f JSExternalString::new_(JSContext*, unsigned short const*, unsigned long, int) + 101
2   XUL                           	0x06929cd8 JS_NewExternalString + 182
3   XUL                           	0x05d2a8cc XPCConvert::NativeData2JS(XPCLazyCallContext&, jsval_layout*, void const*, nsXPTType const&, nsID const*, unsigned int*) + 2190 (xpcconvert.cpp:415)
4   XUL                           	0x05d60790 XPCConvert::NativeData2JS(XPCCallContext&, jsval_layout*, void const*, nsXPTType const&, nsID const*, unsigned int*) + 80 (xpcprivate.h:3218)
5   XUL                           	0x05d62360 CallMethodHelper::GatherAndConvertResults() + 1058 (xpcwrappednative.cpp:2660)
6   XUL                           	0x05d62f98 CallMethodHelper::Call() + 442 (xpcwrappednative.cpp:2420)
7   XUL                           	0x05d5d06c XPCWrappedNative::CallMethod(XPCCallContext&, XPCWrappedNative::CallMode) + 712 (xpcwrappednative.cpp:2369)
8   XUL                           	0x05d6cf03 XPCWrappedNative::GetAttribute(XPCCallContext&) + 25 (xpcprivate.h:2637)
9   XUL                           	0x05d6846f XPC_WN_GetterSetter(JSContext*, unsigned int, jsval_layout*) + 803
10  XUL                           	0x06bdb0d6 js::CallJSNative(JSContext*, int (*)(JSContext*, unsigned int, js::Value*), unsigned int, js::Value*) + 108
11  XUL                           	0x06a07973 js::Invoke(JSContext*, js::CallArgs const&, unsigned int) + 619
12  XUL                           	0x06a0844b js::ExternalInvoke(JSContext*, js::Value const&, js::Value const&, unsigned int, js::Value*, js::Value*) + 315
13  XUL                           	0x06a084fe js::ExternalGetOrSet(JSContext*, JSObject*, jsid, js::Value const&, JSAccessMode, unsigned int, js::Value*, js::Value*) + 112
14  XUL                           	0x06a35520 js::Shape::get(JSContext*, JSObject*, JSObject*, JSObject*, js::Value*) const + 256
15  XUL                           	0x06a2703e __ZL18js_NativeGetInlineP9JSContextP8JSObjectS2_S2_PKN2js5ShapeEjPNS3_5ValueE + 504
16  XUL                           	0x06a275bc __ZL35js_GetPropertyHelperWithShapeInlineP9JSContextP8JSObjectS2_4jsidjPN2js5ValueEPPKNS4_5ShapeEPS2_ + 1136
17  XUL                           	0x06a27622 __ZL26js_GetPropertyHelperInlineP9JSContextP8JSObjectS2_4jsidjPN2js5ValueE + 66
18  XUL                           	0x06a2770e js_GetPropertyHelper(JSContext*, JSObject*, jsid, unsigned int, js::Value*) + 40
19  XUL                           	0x069f1045 js::Interpret(JSContext*, JSStackFrame*, unsigned int, JSInterpMode) + 87093
20  XUL                           	0x06a074a0 js::RunScript(JSContext*, JSScript*, JSStackFrame*) + 384
21  XUL                           	0x06a094fe js::Execute(JSContext*, JSObject*, JSScript*, JSStackFrame*, unsigned int, js::Value*) + 1188
22  XUL                           	0x0692f3fe EvaluateUCScriptForPrincipalsCommon(JSContext*, JSObject*, JSPrincipals*, unsigned short const*, unsigned int, char const*, unsigned int, jsval_layout*, JSVersion) + 456
23  XUL                           	0x0692f741 JS_EvaluateUCScriptForPrincipalsVersion + 107
24  XUL                           	0x0578ae97 nsJSContext::EvaluateString(nsAString_internal const&, void*, nsIPrincipal*, char const*, unsigned int, unsigned int, nsAString_internal*, int*) + 1339 (nsJSEnvironment.cpp:1458)
25  XUL                           	0x057c2014 nsGlobalWindow::RunTimeout(nsTimeout*) + 1606 (nsGlobalWindow.cpp:9042)
26  XUL                           	0x057c2862 nsGlobalWindow::TimerCallback(nsITimer*, void*) + 54 (nsGlobalWindow.cpp:9405)
27  XUL                           	0x06549cf1 nsTimerImpl::Fire() + 1261 (nsTimerImpl.cpp:425)
28  XUL                           	0x06549f93 nsTimerEvent::Run() + 217 (nsTimerImpl.cpp:522)
29  XUL                           	0x06542488 nsThread::ProcessNextEvent(int, int*) + 910 (nsThread.cpp:618)
30  XUL                           	0x064ca006 NS_ProcessPendingEvents_P(nsIThread*, unsigned int) + 146
31  XUL                           	0x0622b46d nsBaseAppShell::NativeEventCallback() + 181 (nsBaseAppShell.cpp:131)
32  XUL                           	0x061d8351 nsAppShell::ProcessGeckoEvents(void*) + 521 (nsAppShell.mm:400)
33  com.apple.CoreFoundation      	0x91e7c3c5 CFRunLoopRunSpecific + 3141
34  com.apple.CoreFoundation      	0x91e7caa8 CFRunLoopRunInMode + 88
35  com.apple.HIToolbox           	0x952e22ac RunCurrentEventLoopInMode + 283
36  com.apple.HIToolbox           	0x952e20c5 ReceiveNextEventCommon + 374
37  com.apple.HIToolbox           	0x952e1f39 BlockUntilNextEventMatchingListInMode + 106
38  com.apple.AppKit              	0x927ec6d5 _DPSNextEvent + 657
39  com.apple.AppKit              	0x927ebf88 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
40  com.apple.AppKit              	0x927e4f9f -[NSApplication run] + 795
41  XUL                           	0x061d70b3 nsAppShell::Run() + 291 (nsAppShell.mm:746)
42  XUL                           	0x05f20cde nsAppStartup::Run() + 148 (nsAppStartup.cpp:218)
43  XUL                           	0x04e046d2 XRE_main + 10254 (nsAppRunner.cpp:3754)
44  org.mozilla.firefoxdebug      	0x00002812 main + 714 (nsBrowserApp.cpp:158)
45  org.mozilla.firefoxdebug      	0x00002492 start + 54
Comment 1 Luke Wagner [:luke] 2011-05-23 10:15:09 PDT
Does this repro on nightlies?  I'm pretty sure this was fixed by bug 638112.
Comment 2 Bob Clary [:bc:] 2012-03-03 22:04:55 PST
Not reproducible on Beta/11, Aurora/12, Nightly/13. Last seen for Beta/5 in June 2011. -> FIXED

Note You need to log in before you can comment on or make changes to this bug.